Subject: Re: [RESEND PATCH] fast-import: Cleanup mode setting.

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 13 Jan 2009 18:29:33 -0800

Johannes Schindelin <[email-masked]> wrote:
> On Tue, 13 Jan 2009, Shawn O. Pearce wrote:
> > 
> > It cleans up the code to make it more readable.
> > 
> > It makes no sense to be doing S_IFREG | S_IFLINK, which happens when
> > the input is for a symlink.  It doesn't break anything to do that |
> > operation, but it also looks damn odd when reading the function.
> 
> Imagining myself reading the commit message 6 months from now, in all 
> likeliness I will have wished that those two paragraphs were in there.  
> Verbatim.

Maybe Junio or Felipe can copy it into the message.

Or you can use a git note now to attach it to the commit Junio
hasn't yet created, so you can look it up in the future.  :-)

-- 
Shawn.